=== debian/changelog ===
ros-indigo-libpcan (0.6.12-0trusty) trusty; urgency=high

  * Merge pull request #92 <https://github.com/ipa320/cob_extern/issues/92> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Contributors: Felix Messmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-libpcan (0.6.11-0trusty) trusty; urgency=high

  * fix include_dirs in cmake_extras
  * use EXPORTED_TARGETS
  * final consistency
  * migrated libpcan to catkin-native wrapping
  * kernel source is not needed for building libpcan
  * update to newest peak driver version 8.3
  * Contributors: Benjamin Maidel, Mathias Lüdtke, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-indigo-libpcan (0.6.10-0trusty) trusty; urgency=high

  * update changelog
  * manually fix changelogs
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 07 Dec 2016 23:00:00 -0000

ros-indigo-libpcan (0.6.9-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-indigo-libpcan (0.6.8-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-indigo-libpcan (0.6.7-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 19 Oct 2016 22:00:00 -0000

ros-indigo-libpcan (0.6.6-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 12 Oct 2016 22:00:00 -0000

ros-indigo-libpcan (0.6.5-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-libpcan (0.6.4-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-libpcan (0.6.3-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-libpcan (0.6.2-0trusty) trusty; urgency=high

  * catkin_linting and make all build_depends depends only
  * revert trailing whitespace in autogenerated headers
  * fix dependencies and find_package calls
  * remove mainpage.dox
  * fix trailing whitespace
  * libpcan: don't use CATKIN_GLOBAL_* in CMakeLists and fix includes such that headers can be installed only once
  * Install Tag and catkin_package adaptations
  * migrate to package format v2
  * Contributors: ipa-mig

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-libpcan (0.6.1-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 27 May 2015 22:00:00 -0000

ros-indigo-libpcan (0.6.0-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 15 Sep 2014 22:00:00 -0000

ros-indigo-libpcan (0.5.3-0trusty) trusty; urgency=high

  * merge
  * fix install script
  * using version 7.9 of libpcan
  * Contributors: ipa-fmw, ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-indigo-libpcan (0.5.2-0trusty) trusty; urgency=high

  * Add missing rospack depends
  * Add missing find_package calls
  * Contributors: Scott K Logan

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-indigo-libpcan (0.5.1-0trusty) trusty; urgency=high

  * add changelogs
  * Updatad libcan-7.9 installation and cleand some files.
  * missing builddep
  * added missing builddep
  * changed copy deps
  * Added another include and some more gefrickel
  * Added include files for cmake.
  * gefrickel ported to cmake
  * added patch for libpcan to compile with Linux kernel >=3.4
  * fixing runtime linking errors by introducing library versions
  * cob_extern is now cob_gefrickel :) did some cmake foo to be compatible to catkin
  * Catkinized version of stack.
    Needs checking of build flags in cob_drivers.
    Also includes updating of libphidgets to 2.1.8 for newer boards.
  * using tarball from willow server
  * Merge branch 'master' of github.com:ipa-nhg/cob_extern
  * Updated libpcan to driver 7.6
  * add CMakeLists.txt
  * Fixed errors in installation script
  * Modification in pcan installation script
  * add libpopt to rosdep
  * fuerte migration
  * activated dongle support for peaksys driver
  * update manifests
  * added md5sum file
  * changed . to -
  * updated to pcan 6.24 on wg servers
  * updated pcan version to 6.24
  * using wg tarballs
  * using tarball from wg for peak
  * cleanup in cob_extern
  * update documentation
  * libpcan install now with insmod, modprobe and NO_NETDEV_SUPPORT
  * additional include export
  * IniFiles are passed via arguments in base_drive_chain
  * restructure from cob3 to cob
  * Merge branch 'master' of mailto:git@github.com:ipa320/care-o-bot into review
  * renamed to general cob packages
  * Contributors: Alexander Bubeck, Denis Štogl, Tobias Fromm, abubeck, cob, ipa, ipa-fmw, ipa-nhg, ipa320-cob3-6

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 18 Mar 2014 23:00:00 -0000
