=== debian/control ===
Source: ros-indigo-libpcan
Section: misc
Priority: extra
Maintainer: Florian Weisshardt <fmw@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), linux-headers-generic, ros-indigo-catkin
Homepage: http://p103112.typo3server.info/fileadmin/media/linux/index.htm
Standards-Version: 3.9.2

Package: ros-indigo-libpcan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, linux-headers-generic
Description: This package wraps the libpcan to use it as a ros dependency
